Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class SkinnedSurface

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.SkinnedSurface

All Implemented Interfaces:
  ContextDependent, BSplineSurface, KnotVector, VertexGrid, VertexSet, Manageable, Shareable

    public class SkinnedSurface

extends ContextDependentBase
implements BSplineSurface

Nested Class Summary
`static class` | `SkinnedSurface.Type`

Field Summary
`static SkinnedSurface.Type` | `$TYPE`
`static SCOType.Field` | `centripetalParameters$FIELD`
`static SCOType.Field` | `interpolateProfiles$FIELD`
`static SCOType.Field` | `profiles$FIELD`
`static SCOType.Field` | `vDegree$FIELD`

Constructor Summary
`SkinnedSurface()`
`SkinnedSurface(BSplineCurveList profiles)`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`protected float[]` | `getCache(GraphState gs)`
`int` | `getDimension(GraphState gs)`
`float` | `getKnot(int dim, int index, GraphState gs)`
`ManageableType` | `getManageableType()`
`BSplineCurveList` | `getProfiles()`
`int` | `getUDegree(GraphState gs)`
`int` | `getUSize(GraphState gs)`
`int` | `getVDegree()`
`int` | `getVDegree(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`int` | `getVertexIndex(int u, int v, GraphState gs)`
`int` | `getVSize(GraphState gs)`
`boolean` | `isCentripetalParameters()`
`boolean` | `isInterpolateProfiles()`
`boolean` | `isRational(GraphState gs)`
`void` | `setCentripetalParameters(boolean value)`
`void` | `setInterpolateProfiles(boolean value)`
`void` | `setProfiles(BSplineCurveList value)`
`void` | `setVDegree(int value)`
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final SkinnedSurface.Type $TYPE

### centripetalParameters$FIELD

    public static final SCOType.Field centripetalParameters$FIELD

### interpolateProfiles$FIELD

    public static final SCOType.Field interpolateProfiles$FIELD

### profiles$FIELD

    public static final SCOType.Field profiles$FIELD

### vDegree$FIELD

    public static final SCOType.Field vDegree$FIELD

Constructor Detail

### SkinnedSurface

    public SkinnedSurface()

### SkinnedSurface

    public SkinnedSurface(BSplineCurveList profiles)

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getCache

    protected float[] getCache(GraphState gs)

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `KnotVector`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getProfiles

    public BSplineCurveList getProfiles()

### getUDegree

    public int getUDegree(GraphState gs)

  Specified by:
    `getUDegree` in interface `BSplineSurface`

### getUSize

    public int getUSize(GraphState gs)

  Specified by:
    `getUSize` in interface `VertexGrid`

### getVDegree

    public int getVDegree()

### getVDegree

    public int getVDegree(GraphState gs)

  Specified by:
    `getVDegree` in interface `BSplineSurface`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getVertexIndex

    public int getVertexIndex(int u,
                              int v,
                              GraphState gs)

  Specified by:
    `getVertexIndex` in interface `VertexGrid`

### getVSize

    public int getVSize(GraphState gs)

  Specified by:
    `getVSize` in interface `VertexGrid`

### isCentripetalParameters

    public boolean isCentripetalParameters()

### isInterpolateProfiles

    public boolean isInterpolateProfiles()

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### setCentripetalParameters

    public void setCentripetalParameters(boolean value)

### setInterpolateProfiles

    public void setInterpolateProfiles(boolean value)

### setProfiles

    public void setProfiles(BSplineCurveList value)

### setVDegree

    public void setVDegree(int value)

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Overrides:
    `writeStamp` in class `ContextDependentBase`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD